Description

When my manager saw forum feature in Redmine he said:

Where are smileys? No smileys? Forum without smileys?! It's not a forum!!!:)

 I think it would be very nice to have smiley-feature in addition to standard text formatting features like bold, italic, etc.

It must be something like this:

 

History

#1 - 2009-11-28 18:26 - Michael Ivanov

+1

#2 - 2009-12-01 11:43 - Emil Abdulnasyrov

+1

#3 - 2009-12-01 17:38 - Kamil .

What for?

Redmine isn't a "sweety blog", is it?

#4 - 2009-12-01 18:57 - Nikolay Kotlyarov

It is not "just for fun" feature as it seems ex facte.

They are really relaxing the working atmosphere.

Just give it a try.

#5 - 2009-12-02 01:27 - Eric Voisard

mmh, don't you think plain old ACSII smileys are just as relaxing as iconic ones?

Plus, they are portable and I think they're of good taste, for bare metal programmers ;-)

#6 - 2009-12-02 09:44 - Nikolay Kotlyarov

Eric Voisard wrote:

bare metal programmers ;-)

 Don't underestimate.

Programmers are only a small part of all Redmine users:

managers, testers, editors, scenario writers, designers, authors, clients, end-users, etc.

#7 - 2010-10-13 11:01 - Yaroslav Matsera

+1

#8 - 2011-05-06 09:28 - Ebrahim Mohammadi
A design would be storing the smileys as plain old text smileys, but (optionally) replace them with (configurable) smiley images when rendering the

text to HTML. Alt text of images could be set to the original text smiley for bare metal users whose browser is still lynx or so! And they will have no

problem entering the smileys: they input their familiar text-only smileys.

#9 - 2012-08-03 04:29 - Pavel Vasilyev

Where is smiles???  =-o

#10 - 2012-08-03 13:38 - Cassiano Monteiro

Have you tried this plugin?

http://www.r-labs.org/projects/r-labs/wiki/Wiki_Extensions_en#Emoticons

#11 - 2014-05-23 22:11 - Andriy Lesyuk

WikiNG also supports smileys.

#12 - 2018-09-17 15:46 - Anonymous

aka emoji, emoticons and emotes! +1. I can't imagine any platform which would have a Forum and wouldn't have emotes, especially in 2018.
